% Für Bindekorrektur als optionales Argument "BCORfaktormitmaßeinheit", dann
% sieht auch Option "twoside" vernünftig aus
% Näheres zu "scrartcl" bzw. "scrreprt" und "scrbook" siehe KOMA-Skript Doku
\documentclass[12pt,a4paper,titlepage,headinclude]{scrartcl}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Formatierung %%%%%%%%%%%%%%%%%%%%%%%%%%%

%keine Einrückung nach leerzeile
\parindent0pt

% Für Kopf und Fußzeilen, siehe auch KOMA-Skript Doku
\usepackage[komastyle]{scrpage2}
\pagestyle{scrheadings}
\setheadsepline{0.5pt}[\color{black}]
\automark[section]{chapter}

%Zitate und Literaturverzeichnis
\usepackage[backend=bibtex,natbib=true,sorting=none,style=numeric-comp]{biblatex}
\usepackage[babel]{csquotes}
\bibliography{literatur}

%Zur vernünftigen Dekodierung
\usepackage[T1]{fontenc} %
\usepackage[utf8]{inputenc} %utfx8
\usepackage[english]{babel} %

%Interaktives Dokument
\usepackage[pdfpagelabels=true]{hyperref}%

%Für wissenschaftliches Zitieren
%\usepackage{natbib}

%Schriftarten
\usepackage{lmodern} %

%Formatierung für Kof- und Fußzeile. Hier gilt entweder ... oder ...!!

%Für eigenen Zeilenabstand
\usepackage{setspace} %

%Für die Seitenformatierung
\usepackage{lscape} %
\usepackage{multicol} %
\usepackage{wallpaper} %

%Styling Inhaltsverzeichnis
\usepackage{tocloft} %

% Zur Formatierung für Kopf und Fußzeilen. Im Allgemeinen ist scrpage2 besser als fancyhdr
\usepackage{scrpage2}
\pagestyle{scrheadings}
\setheadsepline{0.5pt}[\color{black}]

%Einstellungen für Figuren- und Tabellenbeschriftungen
\setkomafont{captionlabel}{\sffamily\bfseries}
\setcapindent{0em} 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Mathematisches %%%%%%%%%%%%%%%%%%%%%%%%%%%

%Pakete für Mathesymbole
\usepackage{latexsym,exscale,stmaryrd} %
\usepackage{amssymb, amsfonts, amstext} %
\usepackage{amsmath, mathtools, amsthm} %

%align nummerierung
\numberwithin{equation}{subsection}

% Weitere Symbole
\usepackage[nointegrals]{wasysym} %
\usepackage{eurosym} %
\usepackage{textcomp} %

%\usepackage{ucs} %

%Für vernünftige Einheiten 
\usepackage[separate-uncertainty = true, multi-part-units=single, exponent-product = \cdot]{siunitx}
%\usepackage[thinspace,thinqspace,amssymb]{SIunits} %
\usepackage{icomma} %
\usepackage{nicefrac}%

%SI-Einheiten
\usepackage{siunitx}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Grafiken & Tabellen %%%%%%%%%%%%%%%%%%%%%%%%%%%
% Text umfließt Graphiken und Tabellen
% Beispiel:
% \begin{wrapfigure}[Zeilenanzahl]{"l" oder "r"}{breite}
%   \centering
%   \includegraphics[width=...]{grafik}
%   \caption{Beschriftung} 
%   \label{fig:grafik}
% \end{wrapfigure}

\usepackage{adjustbox}

%\begin{figure}[h]
%  \centering
%  \subfigure[Caption1\label{fig:bild1}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild1}\end{adjustbox}}
%  \hfill
%  \subfigure[Caption2\label{bild2}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild2}\end{adjustbox}}
%  \hfill
%  \subfigure[Caption3\label{bild3}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild3}\end{adjustbox}}
%  \caption{Gesamtcaption}
%  \label{fig:gesamtlabel}
%\end{figure}

\usepackage{subfig}
%\usepackage{subfloat}


\usepackage{chngcntr}
\counterwithin{figure}{section}



% Caption neben Abbildung
% Beispiel:
% \sidecaptionvpos{figure}{"c" oder "t" oder "b"}
% \begin{SCfigure}[rel. Breite (normalerweise = 1)][hbt]
%   \centering
%   \includegraphics[width=0.5\textwidth]{grafik.png}
%   \caption{Beschreibung}
%   \label{fig:}
% \end{SCfigure}

%Einstellungen für Figuren- und Tabellenbeschriftungen
\setkomafont{captionlabel}{\sffamily\bfseries}
\setcapindent{0em}

%Fuer mehr Platz in den Tabellen
\usepackage{cellspace} %mehr Platz in Tabellen
\addtolength\cellspacetoplimit{3pt}
\newcommand\myhline[1][2pt]{\\[#1]\hline}

%Zum Einbinden von GRafiken
\usepackage{graphicx}% [pdflatex]
\graphicspath{{images/}}

\usepackage{xcolor}%
\usepackage{transparent}

%Für textumflossene Grafiken
\usepackage{wrapfig} %

%Für subfigure
%\usepackage{caption}
\usepackage[font={small}]{caption}
%\usepackage{subcaption}

% Caption neben Abbildung
\usepackage{sidecap}

%Für URLs
\usepackage{url}%

%Zum Einbinden von Quelltext
\usepackage{listings-ext} %

%Für chemische Formeln
\usepackage{chemfig} %
\usepackage[version=4]{mhchem} %eingach ueber \ce{} einbinden
%Für chemische Formeln (von www.dante.de)
%% Anpassung an LaTeX(2e) von Bernd Raichle
\makeatletter
\DeclareRobustCommand{\chemical}[1]{%
  {\(\m@th
   \edef\resetfontdimens{\noexpand\)%
       \fontdimen16\textfont2=\the\fontdimen16\textfont2
       \fontdimen17\textfont2=\the\fontdimen17\textfont2\relax}%
   \fontdimen16\textfont2=2.7pt \fontdimen17\textfont2=2.7pt
   \mathrm{#1}%
   \resetfontdimens}}
\makeatother
%erzwinge Fussnote auf selber Seite
\interfootnotelinepenalty=1000

%Zusätzliche Boxen
\usepackage{fancybox}

%\usepackage{framed}
%\usepackage{mathmode}
%\usepackage{empheq}

%Für variable Referenzen
\usepackage{varioref}

%Für Tabellen mit fester Gesamtbreite und variabler Spaltenbreite (im Gegensatz zu tabular)
\usepackage{tabularx}
%\newcommand{\ltab}{\raggedright\arraybackslash} % Tabellenabschnitt linksbündig
%\newcommand{\ctab}{\centering\arraybackslash} % Tabellenabschnitt zentriert
%\newcommand{\rtab}{\raggedleft\arraybackslash} % Tabellenabschnitt rechtsbündig


%Für Gleitobjekte
\usepackage{float} %Für H-Option

\usepackage{multirow} % Zellen von Tabellen zusammenfassen
\usepackage{booktabs} % verschoenert Tabellen
\usepackage{fixltx2e} % Repariert einige Dinge in Bezug auf das setzen von Gleitobjekten http://ctan.org/pkg/fixltx2e
\usepackage{stfloats} % Bei Gleitobjekten (figure,table,...) die ueber zwei Spalten gesetzt werden (Umgebung figure*), funktioniert [tb] http://ctan.org/pkg/stfloats
\usepackage{rotating} % Wird für Text und Grafiken benötigt, die um einen Winkel gedreht werden sollen



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Kommandodefinitionen %%%%%%%%%%%%%%%%%%%%%%%%%%%

%Zur Korrektur und Kommentierung
\newcommand{\comment}[1]{\marginpar{\tiny{\textcolor{red}{#1}}}} % ermoeglicht kleine Kommentare am Seitenrand: \comment{Fehler?}
\newcommand{\Comment}[1]{\textcolor{red}{#1}}

%Zur Formatierung in der Matheumgebung
\renewcommand{\t}{\ensuremath{\rm\tiny}} % Tiefgestellter Text in der Matheumgebung wird schoener mit: $\Phi_{\t{Text}}$
\renewcommand{\d}{\ensuremath{\mathrm{d}}} % Die totale Ableitung ist stets aufrecht zu setzen: \d
\newcommand{\diff}[3][]{\ensuremath{\frac{\d^{#1}#2}{\d#3^{#1}}}} % einfache Ableitung nach x: $\ddx{\Phi}$
\newcommand{\pdiff}[3][]{\ensuremath{\frac{\partial^{#1}#2}{\partial#3^{#1}}}} % wie gesprochen, eine partielle Ableitung: \del
\newcommand{\aeqiv}{\ensuremath{\qquad \Longleftrightarrow \qquad}} % Eine Aequivalenz
\newcommand{\folgt}{\ensuremath{\qquad \Longrightarrow \qquad}} % Ein Folgepfeil mit Abstaenden
\newcommand{\corresponds}{\ensuremath{\mathrel{\widehat{=}}}} % Befehl für "Entspricht"-Zeichen
\newcommand{\mi}[1]{\ensuremath{\mathit{#1}}} % italics für griechische Buchstaben in Matheumgebung

%Um nicht so viel schreiben zu müssen...
\newcommand{\bs}[1]{\boldsymbol{#1}}
\newcommand{\ol}[1]{\overline{#1}}
\newcommand{\wtilde}[1]{\widetilde{#1}}
\newcommand{\mrm}[1]{\mathrm{#1}}
\newcommand{\mbf}[1]{\mathbf{#1}}
\newcommand{\mbb}[1]{\mathbb{#1}}
\newcommand{\mcal}[1]{\mathcal{#1}}
\newcommand{\mfrak}[1]{\mathfrak{#1}}

%Abkürzungen
\newcommand{\zB}{z.\,B.\ }
\newcommand{\bzw}{b.\,z.\, w.\ }
\newcommand{\Dh}{d.\,h.\ }
\newcommand{\Gl}{Gl.\ }
\newcommand{\Abb}{Abb.\ }
\newcommand{\Tab}{Tab.\ }

%Farbige Box um eine Formel
%Anwendung:
%\eqbox{
%  \begin{equation}
%    ...
%  \end{equation}
%}
\newcommand{\eqbox}[1]{
  \colorbox{gray!30}{\parbox{\linewidth}{#1}} 
}

%Im Text
\newcommand{\engl}[1]{engl. \textit{#1}}
\newcommand{\zitat}[1]{\footnote{#1}}
\newcommand{\person}[1]{\textsc{#1}}


%Matheoperatoren
\DeclareMathOperator{\tr}{tr}
\DeclareMathOperator{\sgn}{sgn}
\DeclareMathOperator{\diag}{diag}
\DeclareMathOperator{\const}{const}
\DeclareMathOperator{\grad}{grad}
\DeclareMathOperator{\rot}{rot}
\DeclareMathOperator{\divz}{div}


%%%%%%%%%%%%%%%%%%%%%%%%% Quellcode - Formatierung %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Um auch Umlaute in den Kommentaren auswerten zu können
\lstset{
literate = {Ö}{{\"O}}1 {Ä}{{\"A}}1 {Ü}{{\"U}}1 {ß}{{\ss}}2 {ü}{{ü}}1
           {ä}{{ä}}1 {ö}{{ö}}1
}

%Formatierung des Quellcode
\lstset{
language=C++,
basicstyle=\footnotesize\ttfamily,
keywordstyle=\bfseries\color{blue},
stringstyle=\color{red},
commentstyle=\itshape\color{green!60!black},
emphstyle = \bfseries\color{red!80!green!60!blue}
%identifierstyle=,
}

%Zum Hervorheben bestimmter Begriffe (z.B. eigene Klassen, etc.)
%\lstset{
%emph = {vector, iterator, std, ostream, istream , ofstream, ifstream, fstream, cmath}
%}

%Nummerirung
\lstset{
numbers=left,
numberstyle=\tiny,
stepnumber=2,
numbersep=5pt,
frame=single,
breaklines=true
framesep=5pt,
numbersep=8pt,
breakindent=3ex
}

%Einbunden über
%\lstinputlisting[caption={blablabla}, language=C++]{name.cpp}

\begin{document}
\sisetup{locale = US}
\sisetup{range-phrase=-}
%\sisetup{output-decimal-marker = {.}}



%Autor, etc.
\newcommand{\versuch}{BK.NFL}
\newcommand{\titel}{Nd:YAG-Laser mit Frequenzverdopplung}
\newcommand{\praktikant}{Michael Lohmann}
\newcommand{\betreuer}{Vineesh Kappadan}
\newcommand{\email}{
  \href{mailto:m.lohmann@stud.uni-goettingen.de}
{m.lohmann@stud.uni-goettingen.de} }
\newcommand{\durchfuehrungsdatum}{30.01.2019}
\newcommand{\abgabedatum}{\today}

%Metainformationen
\hypersetup{
      pdfauthor = {\praktikant~ },
      pdftitle  = {\titel: \versuch},
      pdfsubject = {\versuch}
}

\begin{titlepage}
\pagestyle{empty}
\cfoot{}%SeitenNummer wegmachen
\begin{center}
\large{\textbf{Master Forschungspraktikum \\
	  Universität Göttingen, Fakultät für Physik}} \\
				
%\vspace*{-2cm}
\rule{460pt}{0,01cm}\\[0.5cm]


% ---------------------------------- Titel des Versuches und Institut ----------------------------

\Huge{\textbf{\titel}}\\[0,6cm]

\large{Report of experiment \versuch}

%evtl anpassen bei langem Titel
\vspace*{1,0cm}
\end{center}
% --------------------------------------- Betreuer des Versuchs ---------------------------------

\large{
\begin{tabular}{p{80mm}l}
	Name: & \praktikant\\[0,4cm]
	EMail: & \email\\[0,4cm]
    Conducted with: & Felix Kurtz, Thomas Rittmann\\[0,4cm]
	Date of experiment: & \durchfuehrungsdatum\\[0,4cm]
	Tutor: & \betreuer\\[0,4cm]
\end{tabular}
}\\

% --------------------------------------- Rest der Seite nicht ausfuellen -----------------------
%\vspace*{1cm}
\begin{center}
\Large{\textbf{Submission}}\\[1.0cm]
\end{center}
\begin{tabular}{p{80mm}l}
  Date: &  Signature of tutor: 
\end{tabular}\\

%\vspace*{1cm}
\begin{center}
\Large{\textbf{Examination}}\\[1.0cm]
\end{center}
\begin{tabular}{p{80mm}l}
  Date:  & Name of examiner:\\[0,4cm]
Points: & Signature: \\[0,4cm]
Grade:& 
\end{tabular}
\end{titlepage}

\cleardoublepage
\tableofcontents
\thispagestyle{empty}
\cleardoublepage

\setcounter{footnote}{0}
\setcounter{page}{1}

\pagenumbering{arabic}

\newpage

\section{Introduction}
The well known acronym "laser" stands for \textit{Light Amplification by Stimulated Emmission of Radiation}.
Not only are lasers the universes brightest light sources, they also have other unique properties useful in lots of applications.
As such it is not supprizing that the 2018 Nobel-prize in physics was awarded for \textit{„Groundbreaking inventions in laser physics“} \cite{physics_scientific_2018}.
This highlights the importance of lasers and their numerous applications in many fields of science.

In this experiment we set up and characterize a Nd:YAG laser and observe characteristics of a frequency doubled setup.



\newpage
\section{Theory}
In 1917 \textsc{Einstein} presented a paper on „The Quantum Theory of Radiation“ \cite{einstein_quantum_1917}.
In it he described the fundamental processes of light emission and absorption.
They turned out to be essential for the working principles of lasers.

The most important elements of lasers are
\begin{itemize}
  \item An active laser medium (which stores energy and releases it through stimulated emission).
  \item A pump (delivering energy to the system).
  \item A resonator (increasing the light intensity in the active medium and therefore drastically improving the emission rate).
\end{itemize}




\subsection{Laser}
\subsubsection{Laser rate equations}\label{sec:rate_eq}
The rate equations are governing the working principles of lasers.
They describe the timewise developement of the number of electrons in each level ($N_i$) and the energy density $U$ of the electromagnetic field.

\begin{align}
\begin{split}
	\frac{dN_1}{dt}&=B_{12}U\left( N_2-\frac{g_2}{g1}N_1 \right)+A_{21}N_2-R_1N_1 \\
	\frac{dN_2}{dt}&=P-B_{21}U\left( N_2-\frac{g_2}{g1}N_1 \right)-A_{21}N_2-R_2N_2 \label{eq:rate_eq}\\
	\frac{dU}{dt}  &=B_{21}U\left( N_2-\frac{g_2}{g1}N_1 \right)-\beta U 
\end{split}
\end{align}
The \textsc{Einstein}-coefficients are transition probabilities for spontaneous emission ($A_{21}$), absorption ($B_{12}$) and stimulated emission ($B_{21}$).
$\frac{g_2}{g_1}$ is the relative occupation in thermal equilibrium which can be neglected for a first approximation.

Since the total number of electrons must be conserved ($N_\text{total}=N_1+N_2$) the last two equations can be rescaled to
\begin{align}
  \dot q&=-q+nq \label{eq:rate_eqq}\\
  \dot n&=p-bn-2nq\label{eq:rate_eqn}
\end{align}
where $q$ is the number of photons in the cavity, $n$ is the population inversion and $p$ is a measurement for the pump power.
$b$ is a variable describing the losses in the cavity (due to spontaneous emission, resonator imperfections and outcoupled light).\\



When analysed these equations it turns out that a main criterion for lasing is the population inversion.
This means that the population of the upper laser level ($N_1$) has to be higher than of the lower level ($N_2$).
This is the case because the stimulated emission- ($B_{21}$) and the absorption coefficient ($B_{12}$) are identical and so if $N_1>N_2$ then the light in the cavity would be absorbed by the cristal and therefore would be depleted instead of amplified.
In a simple 2-level material this could not be achieved since an increase in pump fluence would directly increase the stimulated emission.
So at least three energy levels are needed to succeed building a laser.
For a 3-level system the groundstate would also be the lower laser level which means that there had to be a significant amount of electrons in the upper laser level.
Since the 4-level systems (as seen in fig. \ref{fig:laser_niveaus}) are more common they will be discussed here in detail.


\begin{figure}[h]
	\centering
	\def\svgwidth{0.4\columnwidth}
	\input{images/laser_niveaus.pdf_tex}
	\caption{Scematic energy levels of 4-niveau laser.}
	\label{fig:laser_niveaus}
\end{figure}


Electrons in the ground level $E_0$ get pumped into $E_3$.
They should relax into $E_2$ relatively fast in order to minimize the losses due to stimulated emission of the pump light and other processes.
The upper laser level $E_2$ should have a long lifetime in order to reduce the spontaneous emission.
The stimulated emission takes place between $E_2$ and $E_1$ where the later should again have a short decay time since otherwise the emitted photons would be reabsorbed.
This leads to the lower laser level being almost empty which is wanted since pumping even a single electron to the upper laser level already means there is a population inversion.

For an ideal four-level laser the rate equation changes to
\begin{align}
  \dot n = p - bn -nq \qquad\text{(four-level laser).}% \label{eq:}
\end{align}



An analysis of the static solution shows that there is a critical pump power $p_\text{crit}$ below which the pump energy is solely used to generate a population inversion.
Once it is reached ($n=1$) the lasing begins and photons are created inside the cavity.
This is schematically shown in fig. \ref{fig:lasing_threshold}.


\begin{figure}[h]
  \centering
  \includegraphics[width=0.45\linewidth]{lasering_threshold}
  \caption{Schematic static solutions for photons in the cavity $p$ and population inversion $n$ plotted against the pump power. It is obvious that below the critical pump power $p_\text{crit}$ all the energy goes into building up the population inversion and not the lasing.}
\label{fig:lasing_threshold}
\end{figure}

\subsubsection{Resonator}
Since eq. \eqref{eq:rate_eqq} shows that the stimulated emission scales with the light in the optical crystal it is necessary to have a high enough flux in the cavity.
One possibility would be to create an immensely long crystal where the spontaneously generated light at the beginning would then lead to stimulated emission later on.
This would be totally unfeasible since the cavity would have to be incredibly long which would make it expensive and impossible to set up.
The approach that is generally taken is to reflect the majority of the light back into the crystal so that it passes it multiple times.
This also offers the possibility of mode-locking which is when different longitudinal modes in the cavity overlap in such a way that the outcome becomes pulsed.
With pulsedurations down to $\approx \SI{15}{\femto\s}$ they are one of the fastest and most commonly used sources to study ultrafast phenomena.


Since the reflected light has to interfere constructively the cavity length must satisfy
\begin{align}
  L=\frac{\lambda_n}{2}n\quad\Leftrightarrow\quad\nu_n=\frac{c}{2L}n\quad,\qquad n\in\mathbb{N}\quad. \label{eq:cavity_length}
\end{align}

Which means that the allowed modes in a resonator of $L=\SI5{\cm}$ has a frequency spacing of
\begin{align}
  \Delta\nu=\nu_n-\nu_{n-1}=\frac{c}{2L}\approx\SI3{\giga\Hz} \label{eq:delta_nu}
\end{align}

\begin{figure}[h]
  \centering
  \includegraphics[width=0.7\linewidth]{Laser_Modes}
\caption{Amplification profile (determined by optical properties of the crystal) will result in only a few frequencies (colored in red) being able to get above the critical power $p_\text{crit}$) and therefore start lasing. The modes are separated by $\Delta\nu$ from eq. \eqref{eq:delta_nu}. But since the mode with the highest gain will build up the fastest and therefor it will reduce the population inversion which leads to a reduced gain for the other modes. So after an initial phase it leads to a ``winner takes all'' scenario where only the most amplified mode will survive. \label{fig:laser_modes}}
\end{figure}


\newpage
\subsection{Laser types}
Having understood the fundamental principles of lasers the experimental realizations are manifold and two important types are presented here.

\subsubsection{Nd:YAG laser}\label{sec:ndyag_theory}
In the Nd:YAG crystal an Yttrium Aluminium Garnet composite with good thermal conductivity is doped with about 1\% of Neodymium.
As shown in Fig. \ref{fig:NdYAG_spectrum} the crystal has a laser transition between the $^4\text{F}_{3/2}$ and the $^4\text{I}_{11/2}$ state.
This corresponds to a wavelength of \SI{1064}{\nano\meter} \cite{geusic_laser_1964}.
\begin{figure}[h]
  \centering
  \includegraphics[width=0.9\linewidth]{NdYAG_spectrum}
  \caption{Fluorescence spectrum of Nd:YAG-crystal for two temperatures between \SI{1.05}{\mu\meter} and \SI{1.08}{\mu\meter} showing a shift in the absorption lines towards larger wavelengths with rising temperatures. On the right the different energy states for Nd:YAG are shown \cite{geusic_laser_1964}.\label{fig:NdYAG_spectrum}}
\end{figure}

\begin{figure}[h]
  \centering
  \includegraphics[width=0.5\linewidth]{absorption800}
  \caption{Absorption spectrum of Nd:YAG around $\SI{800}{\nano\meter}$ adapted from \cite{vainshenker_diodepumped_2013}.\label{fig:absorption800}}
\end{figure}

Since the absorption spectrum (as seen in figure \ref{fig:absorption800}) has a sharp peak at \SI{808.4}{\nano\meter} with a width of only about \SI1{\nano\meter} the optical pumping needs to be well tuned.
But with the development of diode lasers this can be realized reliably nowadays.




\newpage
\subsubsection{Diode laser}\label{sec:diode}
Diode lasers have become very efficient and important for many applications since the production of semiconductors excelled.

A pn junction in a semiconductor is pumped by a direct current which leads to a population inversion as shown in Fig. \ref{fig:diodelaser}.
Through electron hole recombination coherent photon can be emitted as discussed in section \ref{sec:rate_eq}.
The resonator is not a separate entity but the ends of the semiconductor are polished so they reflect the light.
As a result the whole laser is very compact and dynamically stable which are requirements for many industrial applications, e.g. CD/DVD/Blue-ray players.

The bandgap of a semiconductor (and therefore the emitted light of a laser diode) is temperature dependent.
As a first approximation this line shift can be assumed to be linear and will change with about \SI{0.25}{\nano\meter\per\kelvin} to \SI{0.3}{\nano\meter\per\kelvin} \cite{bartl_tuning_2002}.
Another fact that is important for this experiment is that length as well as area of a laser diode is relatively small.
This leads to a comparably strong divergence and an elliptical beam profile which makes it necessary to collimate the beam at the exit of the diode.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.4\linewidth]{diodelaser}
  \caption{Schematic setup of a semiconductor laser diode \cite{noauthor_laser_nodate}.\label{fig:diodelaser}}
\end{figure}




\subsection{Second Harmonic Generation}\label{sec:shg_theory}
For many applications visible light is desired.
Since there are almost no materials with bandgaps corresponding to short wavelengths a process is needed to convert in this example the infrared ($\SI{1024}{\nm}$) light emmitted from the Nd:YAG crystal into green light with half the wavelength.
In second harmonic generation (SHG) or frequency doubling two photons are combined in a nonlinear optical crystal in order to generate a new photon with twice the frequency (and energy respectively).
Since it involves two photons being at the same crystal position in a very short amount of time and each of the probabilities scales with the intensity $I$ of the incident frequency, the SHG scales with $I^2$.

This can also be derived by considering higher than linear order in the polarization:
\begin{align}
  \vec{P}=\epsilon_{0} \sum_{n} \chi^{(n)} \vec{E}^{n}=\epsilon_{0} \chi^{(1)} \vec{E}^{1}+\epsilon_{0} \chi^{(2)} \vec{E}^{2}+\ldots \label{eq:polarization}
\end{align}


For the harmonic approximation ($n=2$) and an electric field $\vec{E}=\vec{E}_{0} \sin \omega t$ the second order polarization is given by
\begin{align}
  \left|\vec{P}^{(2)}\right|=\epsilon_{0} E_{0}^{2} \chi^{(2)} \sin ^{2}(\omega t)=\epsilon_{0} E_{0}^{2} \chi^{(2)}\left(\frac{1-\cos (2 \omega t)}{2}\right)\quad. \label{eq:polarization2}
\end{align}

This term has a frequency of $2\omega$ (in addition to the term with $\omega$).
Due to symmetry reasons the crystal potential cannot be even in order to allow for even order photon processes (they would cancel out).
This means that a broken inversion symmetry in the crystal structure is mandatory.
In many materials the dispersion relation leads to a different phase velocity for the light with the two wavelengths.
This would lead to destructive interference and therefore phase matching needs to be done as well.





\newpage
\section{Experimental Setup and Results}
\subsection{Setup}
The setup consists of an optical rail onto which the eight components can be mounted as shown in Fig. \ref{fig:exp_setup}.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.9\linewidth]{setup_schematic}
  \includegraphics[width=0.9\linewidth]{setup}
  \caption{Schematic (top) and actual experimental setup (bottom) with all components (including the crystal for Second Harmonic Generation).\label{fig:exp_setup}}
\end{figure}

The pumping is provided by a laser diode unit (A) which is powered and controlled externally.
The diverging beam is collimated first by a lens (B) with a focal length of $f=\SI6{\centi\meter}$ and then focussed again by an identical lens (C) into the Nd:YAG crystal (D).
The latter is coated on the front side with a dielectric mirror (dielectric materials layered in such a way that the reflected wave interferes constructively, therefore being highly reflective for specific wavelength(s), in this case \SI{1064}{\nano\meter}).

The KTP crystal (H) is only needed if Second Harmonic Generation is wanted.
Then follows the outcoupling mirror (E), which can be another 2\% transmittance dielectric mirror (E$_2$) or (if SHG is wanted) a mirror that transmits 0.2\% of \SI{1064}{\nano\meter} (E$_2$).
After the cavity follows a filter holder (F) which can be equipped with a long pass filter (Schott RG1000) to filter out the pump light or a band pass filter (Schott BG39) which reflects all but the second harmonic.
And finally, in order to measure (relative) intensities either an amplified photodiode (connected to an oscilloscope, G$_1$) or a calibrated power meter head (G$_2$) is placed at the end of the rail.





\subsection{Characterization of Laser Diode}\label{sec:diode_character}
As described in section \ref{sec:diode} the beam profile of a laser diode is not as good as needed (strongly diverging, as well as elliptical) and so lens B is placed on the rail in order to collimate the beam.
Now the output power of the laser diode is measured with respect to the pump current at room temperature ($\approx\SI{20.2}{\celsius}$).
The data of the calibrated photodiode from $\SIrange{0}{560}{\milli\ampere}$ in steps of $\SI{20}{\milli\ampere}$ are presented in figure \ref{fig:diodecharacter}.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.8\linewidth]{LaserDiode}
  \caption{Dependence of the output power of the laser diode with respect to the pump power.\label{fig:diodecharacter}}
\end{figure}

As expected from the discussion in chapter \ref{sec:rate_eq} there is no emitted laser light below \SI{150}{\milli\ampere} of diode pump current.
Above the threshold the power scales linearly in two regions (below and above $\SI{290}{\milli\ampere}$).
A linear fit results in
\begin{align*}
  P(I)=
    \begin{cases}
     \left(\SI{1.62(4)}{\watt\per\ampere}\right)\cdot I -\left(\SI{0.19(1)}{\watt\per\ampere} \right) & \quad(\SI{160}{\milli\ampere}\geq I<\SI{290}{\milli\ampere}) \\
     \left(\SI{0.84(1)}{\watt\per\ampere}\right)\cdot I -\left(\SI{0.07(1)}{\watt\per\ampere} \right) & \quad(I>\SI{290}{\milli\ampere}) \quad.
    \end{cases}
\end{align*}

From the first fit the lasing threshold is determined to be
\begin{align*}
  I_\text{on}=\SI{149(3)}{\milli\ampere}\quad,
\end{align*}
which is in good agreement to the observations from varying the pump current around the laser onset.


A possible reason for the lower rising above \SI{290}{\milli\ampere} could for example be a change in the transformer and a miscalibration of the displayed current.





\subsection{Characterization of the Nd:YAG Crystal}

\subsubsection{Absorption Spectrum}\label{sec:diode_absorption}
Since the bandgap and therefore the wavelength of the pump laser diode shifts with varying temperature, the absorption in the Nd:YAG-crystal should also change correspondingly since the absorption line at \SI{808}{\nano\meter} is very narrow (as mentioned in section \ref{sec:ndyag_theory}).
Therefore the transmission through the crystal is measured between $\SI5\celsius$ and $\SI{44}\celsius$ at an operating current of $\SI{550}{\milli\ampere}$ and the measurements are shown in figure \ref{fig:absorption}.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.8\linewidth]{absorption}
  \caption{Absorbed power as a function of laser diode temperature relative to the output at \SI{13}\celsius.\label{fig:absorption}}
\end{figure}

At temperatures of $\SI{26.0(5)}\celsius$ and $\SI{37.0(3)}\celsius$ two absorption maxima are found and at $\SI{43.0(3)}\celsius$ a transmission maxima can be identified.
They correspond to the edges of $\SI{804.4}{\nano\meter}$, \SI{808.4}{\nano\meter} and \SI{810.7}{\nano\meter} which are shown in figure \ref{fig:absorption800}.

From those extrema the temperature dependence of the wavelength can be derived:
\begin{align*}
 \lambda(T)= \lambda_0 + \alpha \cdot \left(T-\SI{37}\celsius\right)
\end{align*}
with $\lambda_0=\SI{808.4(1)}{\nm}$ and a slope of $\alpha=\SI{0.37(2)}{\nm\per\celsius}$.

\subsubsection{Current-Temperature dependence}
In figure \ref{fig:temp_current_diode} the transmitted power is plotted against the temperature of the laser diode.
It is expected that the curves should shift relative to one another but the line at \SI{250}{\mA} looks fundamentally different than the other two.
And the other two also don't show a consistent trend since the maxima are identical and the rising edge of the yellow (higher current) curve is shifted left.
But the maxima of the bumps at \SI{38.5}{\celsius} and \SI{39.5}{\celsius} are the other way around.

All this indicates that a grave mistake in the conduction of the experiment was made.
This was probably because of the waiting time between heating to maximum and cooling to minimum temperature was not long enough for the \SI{250}{\mA} curve.
But even if that was considered the resolution in temperature steps is far too big to see any shifts.
In addition the number of characteristic features (edges, maxima and minima) were too small to significantly determine any shifts.
\begin{figure}[h]
  \centering
  \includegraphics[width=0.7\linewidth]{temp_current_diode}
  \caption{Temperature dependence of the transmitted power for three different pump currents. The curves should shift relative to one another but at least the one at \SI{250}{\mA} is qualitatively different then the other two. This is a first hint that there was a systematic error in the conduction of the experiment. Therefore further error propagation is irrelevant.\label{fig:temp_current_diode}}
\end{figure}


\subsubsection{Laser level lifetime}
When the Nd:YAG-crystal is illuminated with pulsed light from the diode the fluorescence intensity can be measured with a fast photodiode.
The signal is acquired by an oscilloscope and the voltage is taken at different delays after a triggering pulse and the results are shown in figure \ref{fig:lifetime}.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.7\linewidth]{fluorescence_lifetime}
  \caption{Rising and falling fluorescence signal on the photodiode with exponential fits. The two datasets for the off switching are well corresponding and so only one exponential fit is done.\label{fig:lifetime}}
\end{figure}

The error of $\pm\SI2\mV$ is due to the noise of the photodiode.

The exponential fits of the curves result in estimates for the lifetimes of 
\begin{align*}
  \tau_\text{on}&=\SI{235(6)}{\micro\s}\\
  \tau_\text{off}&=\SI{252(5)}{\micro\s}\\
  \Rightarrow\quad\bar\tau&=\SI{244(4)}{\micro\s}
\end{align*}
which is 2\% higher than the literature value of $\SI{240}{\micro\s}$ according to \cite{Meschede2008}.



\subsection{Characterization of the Nd:YAG Laser}
Since the absorption of the pumping light from the laser diode is the highest at $\SI{37}\celsius$ (as shown in section \ref{sec:diode_absorption}) it is chosen for alignment of the cavity.
The cavity end mirror E$_1$ is placed in the beampath to create a cavity as close to the Nd:YAG crystal as possible leaving place for the KTP crystal since the hemispherical-resonator-condition has to be satisfied.
This requires the cavity to be shorter the curvature radius of the spherical mirror or in this case \SI{10}{\cm}.
It has to be aligned until lasing is achieved and then through iterative tweaking of both cavity mirrors the output power is maximized.

\subsubsection{Current-Power dependency}
The maximum achievable output power for varying pump currents is measured and shown in Fig. \ref{fig:current_power}.
Since the optimal temperature changes with the pump power it is regulated with every step, but the sensitivity to the set temperature sometimes is weak (therefore an error of \SI{0.5}{\celsius} is assumed despite the possibility to set the temperature with a precision of \SI{0.1}{\celsius}).
The measurement uncertainties of the pump current are on the order of \SI{0.05}{\mA} and the lasing power is determined with a precision of \SI{1}\mW.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.7\linewidth]{current_power}
  \caption{Maximum achievable output power of the Nd:YAG laser with varying pump current. In addition the temperature set to achieve that is shown. The dark green fit is equivalent to a threshold current of \SI{209}\mA. The slope of the dark green linear fit is \SI{310}{\milli\watt\per\A}.\label{fig:current_power}}
\end{figure}

A linear fit for values between \SI{210}{\mA} and \SI{200}{\mA} as shown in dark green yields a current threshold to achieve lasing of $\SI{209(8)}{\mA}$ which corresponds to a laser diode output of about \SI{150}{\mW}.
From the light green fit an average slope of $\alpha=\frac{dP}{dI}=\SI{310(20)}{\mW\per\A}$ is calculated.
With that the quantum efficiency (\# of photons per \# of electron hole recombinations) of the laser can be calculated:
\begin{align}
  \eta_q=\frac{N_\text{ph}}{N_e}=\frac{\lambda e}{hc}\alpha=\SI{27(2)}{\percent}\quad.\label{eq:quantum_efficiency}
\end{align}

Given that the characterization of the photodiode output power (section \ref{sec:diode_character}) was performed at constant room temperature it is not directly comparable to this measurement where the temperature was varied around \SI{38}{\celsius}.

The relative slopes between the diode- (\SI{840}{\milli\watt\per\A}) and the Nd:YAG-power (\SI{310}{\milli\watt\per\A}) is equivalent to a conversion efficiency of $\approx\SI{36}\percent$.
This is relatively high compared to a maximum photon convergence efficiency of \SI{49}{\percent} if the energy differences between the pump- and lasing levels are considered and all other losses are neglected.

\subsubsection{Second Harmonic Generation}
With the KTP crystal inserted the output power of the second harmonic was very unstable as can be seen in figure \ref{fig:shg_fluc}.

\begin{figure}[h]
  \subfloat[Long term switching behaviour showing very unstable lasing with totally turning off.]{\includegraphics[height=6cm]{shg_fluc_total_curve}\label{fig:shg_fluc_tot}}
     \hfill
     \subfloat[Zoom in showing intensity fluctuations with drops to zero output.]{\includegraphics[height=6cm]{shg_fluc_zoom_curve}\label{fig:shg_fluc_zoom}}
     \caption{Diode current: 550 mA. It is obvious that the SHG setup is fragile with respect to any disturbances.\label{fig:shg_fluc}}
\end{figure}


When carefully bumping the optical table the stable SHG signal corresponding to the maximum measured power can be determined as seen in Fig. \ref{fig:shg_power}.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.8\linewidth]{shg_power}
  \caption{Maximum measured power of the second harmonic plotted against diode pump current. The second order fit is in good agreement with the theoretical dependence from chapter \ref{sec:shg_theory}.\label{fig:shg_power}}
\end{figure}

The regression leads to an output power relation of

\begin{align}
  P_\text{SHG}(I)=\SI{3.6e-5}{\W\per\A^2}\cdot I^2-\SI{0.02}{\W\per\A}\cdot I+\SI{2.7}{\W} \label{eq:shg_output}
\end{align}
which has a root (corresponding to a lasing threshold) at $I_\text{th}=\SI{231}{\mA}$.
Below that the formula above is obviously not valid anymore.





\subsubsection{Transversal Modes}
For most applications a symmetric mode is desirable which is a Gaussian profile.
But depending on the misalignment of the cavity other than the TEM$_{00}$ mode might exist.
In Fig. \ref{fig:modes} the observed doublet (TEM$_{10}$ and TEM$_{01}$) and quadruplet modes (TEM$_{30}$ and TEM$_{03}$) are displayed.
\begin{figure}[h!]
 	\begin{minipage}{\textwidth}\hspace{0.1\textwidth}
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
	 			\put(0,0){\includegraphics[width=0.99\textwidth]{mode_1.png}}
	 			\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{00}$}}}}	
 			\end{picture}
 		\end{minipage}
 		\hfill	
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{mode_2_h.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{10}$}}}}	
 			\end{picture}	
 		\end{minipage}	
 		\hfill
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{mode_4_h.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{30}$}}}}	
 			\end{picture}	
 		\end{minipage}	
 		\hspace{0.1\textwidth}
 	\end{minipage}
 	
 	\vspace{0.01\textwidth}
 	
 	\begin{minipage}{\textwidth}
 		\hspace{0.1\textwidth}
 		\begin{minipage}[l]{0.25\textwidth}	
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{mode_2_v.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{01}$}}}}	
 			\end{picture}
 			
 			\begin{picture}(1,1)(0,0.04)
	 			\put(0,0){\includegraphics[width=0.99\textwidth]{mode_4_v.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{03}$}}}}	
 			\end{picture}
 		\end{minipage}
 		\hfill	
 		\begin{minipage}[c]{0.35\textwidth}
 			\setlength{\unitlength}{\textwidth}
 			\caption{Different modes of the Nd:YAG laser for different cavity (mis)alignments, imaged on an infrared detector card.}	
 			\label{fig:modes}	
 		\end{minipage}
 		\hfill
 		\hspace{0.1\textwidth}
 	\end{minipage}
\end{figure}
The maximum achievable output power of the TEM$_{10}$ mode is slightly higher than the Gaussian mode.
This is due to the larger volume of the active medium being used. 

\subsubsection{Spiking}
The transient behavior of the laser when switching on is shown in figure \ref{fig:spiking} for pump diode currents of \SI{250}{\mA} and \SI{590}\mA.
\begin{figure}
     \centering
     \subfloat[][\SI{250}\mA]{\includegraphics[height=5cm]{spiking250}\label{fig:spiking250}}
     \hfill
     \subfloat[][\SI{590}\mA]{\includegraphics[height=5cm]{spiking590}\label{fig:spiking590}}
     \caption{Generic starting behavior of the Nd:YAG laser as measured by the photodiode. The signal in (a) is amplified 5 times as much as in (b).\label{fig:spiking}}
\end{figure}

The plots (extracted from the oscilloscope images) show very different dynamic timescales: about \SI{500}{\micro\s} for the low pump current and \SI{60}{\micro\s} for the high one.




\newpage
\clearpage
\appendix
\section{Appendix}

	\begin{figure}[h!]
      \centering
	 		\includegraphics[width=0.5\textwidth]{osci_lifetime.png}	
	 			
	 		\captionsetup{singlelinecheck=false,width=\textwidth}
	 		\caption{Oscilloscope image of the Nd:YAG laser level lifetime measurement 	(zoomed out) with a 	modulated laser diode. The photodiode signal (yellow) represents the intensity of fluorescent 1064\,nm light from the crystal and is triggered by the modulation TTL signal of the diode controller (blue). The noise level can be estimated as $\approx\,4$ mV.}
	 		\label{fig:osci_lifetime}	
	\end{figure}

	\begin{figure}[h!]
		\begin{minipage}{0.46\textwidth}	
			\includegraphics[width=0.99\textwidth]{osci_spike_low.png}		
	
		\end{minipage}
		\hfill	
		\begin{minipage}{0.46\textwidth}
		\includegraphics[width=0.99\textwidth]{osci_spike_high.png}		
			
		\end{minipage}	
		\captionsetup{singlelinecheck=false,width=\textwidth}
		\caption{Original scilloscope images of spiking behavior. The time dependent photodiode voltage is measured for a pump diode current of 250mA slightly above the laser threshold (left) and for a higher current of 590 mA (right). The signal amplification is 5 times higher on the left. The images are not taken in `triggered mode' but for `stopped acquisition'. Note the different scaling of the temporal axes. }
		\label{fig:osci_spike}		
	\end{figure}


	\begin{figure}[h!t]
      \centering
      \includegraphics[width=0.7\textwidth]{mode_10_orig.jpg}
				\captionsetup{width=\textwidth}
				\caption{Exemplary photograph of the infrared detector card for visualizing different modes (here: TEM$_{10}$). The pictures in Figure \ref{fig:modes} are generated from these photographs by adjusting the dynamic without any further post processing.}
				\label{fig:mode_original}
	\end{figure}

	\begin{figure}[h!]
		
		
	\begin{minipage}{0.46\textwidth}	
		\includegraphics[width=0.99\textwidth]{shg_fluc_orig_overview.jpg}		
		
	\end{minipage}
	\hfill	
	\begin{minipage}{0.46\textwidth}
		\includegraphics[width=0.99\textwidth]{shg_fluc_orig_zoom.jpg}		
		
	\end{minipage}	
	\captionsetup{singlelinecheck=false,width=\textwidth}
	\caption{Original oscilloscope pictures of the instability of the second harmonic generation with modulated pump diode. Overview over whole modulation cycle (left) and zoom onto peaks (right). Plots in \ref{fig:shg_fluc} are extracted from these images.}
	\label{fig:shg_orig}		
	\end{figure}


\clearpage
\printbibliography[heading=bibintoc]

\end{document}
